[tool.poetry]
name = "desktop-client"
version = "0.1.0"
description = ""
authors = ["StNicolay <stnicolay2007@mail.ru>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.12"
httpx = "^0.27.0"
pydantic = "^2.8.2"
pyqt6 = "^6.7.1"
keyring = "^25.3.0"
python-dotenv = "^1.0.1"
sqlmodel = "^0.0.21"
python-dateutil = "^2.9.0.post0"


[tool.poetry.group.dev.dependencies]
black = "^24.8.0"
isort = "^5.13.2"
flake8 = "^7.1.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
